## org.h2.tools
Class SimpleResultSet

    java.lang.Object
      org.h2.tools.SimpleResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.ResultSetMetaData

    public class SimpleResultSet

extends java.lang.Object
implements java.sql.ResultSet, java.sql.ResultSetMetaData

This class is a simple result set and meta data implementation. It can be used in Java functions that return a result set. Only the most basic methods are implemented, the others throw an exception. This implementation is standalone, and only relies on standard classes. It can be extended easily if required. An application can create a result set using the following code:

     SimpleResultSet rs = new SimpleResultSet();
     rs.addColumn("ID", Types.INTEGER, 10, 0);
     rs.addColumn("NAME", Types.VARCHAR, 255, 0);
     rs.addRow(0, "Hello" });
     rs.addRow(1, "World" });

Nested Class Summary
`static class` `SimpleResultSet.SimpleArray` A simple array implementation, backed by an object array

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Constructor Summary
`SimpleResultSet()` This constructor is used if the result set is later populated with addRow.
`SimpleResultSet(SimpleRowSource source)` This constructor is used if the result set should retrieve the rows using the specified row source object.

Method Summary
`boolean` `absolute(int row)` INTERNAL
`void` `addColumn(java.lang.String name, int sqlType, int precision, int scale)` Adds a column to the result set.
`void` `addRow(java.lang.Object... row)` Add a new row to the result set.
`void` `afterLast()` INTERNAL
`void` `beforeFirst()` Moves the current position to before the first row, that means resets the result set.
`void` `cancelRowUpdates()` INTERNAL
`void` `clearWarnings()` INTERNAL
`void` `close()` Closes the result set and releases the resources.
`void` `deleteRow()` INTERNAL
`int` `findColumn(java.lang.String columnLabel)` Searches for a specific column in the result set.
`boolean` `first()` INTERNAL
`java.sql.Array` `getArray(int columnIndex)` Returns the value as a java.sql.Array.
`java.sql.Array` `getArray(java.lang.String columnLabel)` Returns the value as a java.sql.Array.
`java.io.InputStream` `getAsciiStream(int columnIndex)` INTERNAL
`java.io.InputStream` `getAsciiStream(java.lang.String columnLabel)` INTERNAL
`java.math.BigDecimal` `getBigDecimal(int columnIndex)` Returns the value as a java.math.BigDecimal.
`java.math.BigDecimal` `getBigDecimal(int columnIndex, int scale)` Deprecated. INTERNAL
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnLabel)` Returns the value as a java.math.BigDecimal.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnLabel, int scale)` Deprecated. INTERNAL
`java.io.InputStream` `getBinaryStream(int columnIndex)` INTERNAL
`java.io.InputStream` `getBinaryStream(java.lang.String columnLabel)` INTERNAL
`java.sql.Blob` `getBlob(int i)` INTERNAL
`java.sql.Blob` `getBlob(java.lang.String colName)` INTERNAL
`boolean` `getBoolean(int columnIndex)` Returns the value as a boolean.
`boolean` `getBoolean(java.lang.String columnLabel)` Returns the value as a boolean.
`byte` `getByte(int columnIndex)` Returns the value as a byte.
`byte` `getByte(java.lang.String columnLabel)` Returns the value as a byte.
`byte[]` `getBytes(int columnIndex)` Returns the value as a byte array.
`byte[]` `getBytes(java.lang.String columnLabel)` Returns the value as a byte array.
`java.lang.String` `getCatalogName(int columnIndex)` Returns null.
`java.io.Reader` `getCharacterStream(int columnIndex)` INTERNAL
`java.io.Reader` `getCharacterStream(java.lang.String columnLabel)` INTERNAL
`java.sql.Clob` `getClob(int i)` INTERNAL
`java.sql.Clob` `getClob(java.lang.String colName)` INTERNAL
`java.lang.String` `getColumnClassName(int columnIndex)` Returns null.
`int` `getColumnCount()` Returns the column count.
`int` `getColumnDisplaySize(int columnIndex)` Returns 15.
`java.lang.String` `getColumnLabel(int columnIndex)` Returns the column label.
`java.lang.String` `getColumnName(int columnIndex)` Returns the column name.
`int` `getColumnType(int columnIndex)` Returns the SQL type.
`java.lang.String` `getColumnTypeName(int columnIndex)` Returns null.
`int` `getConcurrency()` Returns ResultSet.CONCUR_READ_ONLY.
`java.lang.String` `getCursorName()` INTERNAL
`java.sql.Date` `getDate(int columnIndex)` Returns the value as an java.sql.Date.
`java.sql.Date` `getDate(int columnIndex, java.util.Calendar cal)` INTERNAL
`java.sql.Date` `getDate(java.lang.String columnLabel)` Returns the value as a java.sql.Date.
`java.sql.Date` `getDate(java.lang.String columnLabel, java.util.Calendar cal)` INTERNAL
`double` `getDouble(int columnIndex)` Returns the value as an double.
`double` `getDouble(java.lang.String columnLabel)` Returns the value as a double.
`int` `getFetchDirection()` Returns ResultSet.FETCH_FORWARD.
`int` `getFetchSize()` Returns 0.
`float` `getFloat(int columnIndex)` Returns the value as a float.
`float` `getFloat(java.lang.String columnLabel)` Returns the value as a float.
`int` `getHoldability()` Returns the current result set holdability.
`int` `getInt(int columnIndex)` Returns the value as an int.
`int` `getInt(java.lang.String columnLabel)` Returns the value as an int.
`long` `getLong(int columnIndex)` Returns the value as a long.
`long` `getLong(java.lang.String columnLabel)` Returns the value as a long.
`java.sql.ResultSetMetaData` `getMetaData()` Returns a reference to itself.
`java.lang.String` `getNString(int columnIndex)` INTERNAL
`java.lang.String` `getNString(java.lang.String columnLabel)` INTERNAL
`java.lang.Object` `getObject(int columnIndex)` Returns the value as an Object.
`java.lang.Object` `getObject(int i, java.util.Map<java.lang.String,java.lang.Class<?>> map)` INTERNAL
`java.lang.Object` `getObject(java.lang.String columnLabel)` Returns the value as an Object.
`java.lang.Object` `getObject(java.lang.String colName, java.util.Map<java.lang.String,java.lang.Class<?>> map)` INTERNAL
`int` `getPrecision(int columnIndex)` Returns the precision.
`java.sql.Ref` `getRef(int i)` INTERNAL
`java.sql.Ref` `getRef(java.lang.String colName)` INTERNAL
`int` `getRow()` Returns the row number (1, 2,...) or 0 for no row.
`int` `getScale(int columnIndex)` Returns the scale.
`java.lang.String` `getSchemaName(int columnIndex)` Returns null.
`short` `getShort(int columnIndex)` Returns the value as a short.
`short` `getShort(java.lang.String columnLabel)` Returns the value as a short.
`java.sql.Statement` `getStatement()` Returns null.
`java.lang.String` `getString(int columnIndex)` Returns the value as a String.
`java.lang.String` `getString(java.lang.String columnLabel)` Returns the value as a String.
`java.lang.String` `getTableName(int columnIndex)` Returns null.
`java.sql.Time` `getTime(int columnIndex)` Returns the value as an java.sql.Time.
`java.sql.Time` `getTime(int columnIndex, java.util.Calendar cal)` INTERNAL
`java.sql.Time` `getTime(java.lang.String columnLabel)` Returns the value as a java.sql.Time.
`java.sql.Time` `getTime(java.lang.String columnLabel, java.util.Calendar cal)` INTERNAL
`java.sql.Timestamp` `getTimestamp(int columnIndex)` Returns the value as an java.sql.Timestamp.
`java.sql.Timestamp` `getTimestamp(int columnIndex, java.util.Calendar cal)` INTERNAL
`java.sql.Timestamp` `getTimestamp(java.lang.String columnLabel)` Returns the value as a java.sql.Timestamp.
`java.sql.Timestamp` `getTimestamp(java.lang.String columnLabel, java.util.Calendar cal)` INTERNAL
`int` `getType()` Returns ResultSet.TYPE_FORWARD_ONLY.
`java.io.InputStream` `getUnicodeStream(int columnIndex)` Deprecated. INTERNAL
`java.io.InputStream` `getUnicodeStream(java.lang.String columnLabel)` Deprecated. INTERNAL
`java.net.URL` `getURL(int columnIndex)` INTERNAL
`java.net.URL` `getURL(java.lang.String columnLabel)` INTERNAL
`java.sql.SQLWarning` `getWarnings()` Returns null.
`void` `insertRow()` INTERNAL
`boolean` `isAfterLast()` INTERNAL
`boolean` `isAutoIncrement(int columnIndex)` Returns false.
`boolean` `isBeforeFirst()` INTERNAL
`boolean` `isCaseSensitive(int columnIndex)` Returns true.
`boolean` `isClosed()` Returns whether this result set has been closed.
`boolean` `isCurrency(int columnIndex)` Returns false.
`boolean` `isDefinitelyWritable(int columnIndex)` Returns false.
`boolean` `isFirst()` INTERNAL
`boolean` `isLast()` INTERNAL
`int` `isNullable(int columnIndex)` Returns ResultSetMetaData.columnNullableUnknown.
`boolean` `isReadOnly(int columnIndex)` Returns true.
`boolean` `isSearchable(int columnIndex)` Returns true.
`boolean` `isSigned(int columnIndex)` Returns true.
`boolean` `isWritable(int columnIndex)` Returns false.
`boolean` `last()` INTERNAL
`void` `moveToCurrentRow()` INTERNAL
`void` `moveToInsertRow()` INTERNAL
`boolean` `next()` Moves the cursor to the next row of the result set.
`boolean` `previous()` INTERNAL
`void` `refreshRow()` INTERNAL
`boolean` `relative(int offset)` INTERNAL
`boolean` `rowDeleted()` INTERNAL
`boolean` `rowInserted()` INTERNAL
`boolean` `rowUpdated()` INTERNAL
`void` `setFetchDirection(int direction)` INTERNAL
`void` `setFetchSize(int rows)` INTERNAL
`void` `updateArray(int columnIndex, java.sql.Array x)` INTERNAL
`void` `updateArray(java.lang.String columnLabel, java.sql.Array x)` INTERNAL
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)` INTERNAL
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x, int length)` INTERNAL
`void` `updateBigDecimal(int columnIndex, java.math.BigDecimal x)` INTERNAL
`void` `updateBigDecimal(java.lang.String columnLabel, java.math.BigDecimal x)` INTERNAL
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)` INTERNAL
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x, int length)` INTERNAL
`void` `updateBlob(int columnIndex, java.sql.Blob x)` INTERNAL
`void` `updateBlob(java.lang.String columnLabel, java.sql.Blob x)` INTERNAL
`void` `updateBoolean(int columnIndex, boolean x)` INTERNAL
`void` `updateBoolean(java.lang.String columnLabel, boolean x)` INTERNAL
`void` `updateByte(int columnIndex, byte x)` INTERNAL
`void` `updateByte(java.lang.String columnLabel, byte x)` INTERNAL
`void` `updateBytes(int columnIndex, byte[] x)` INTERNAL
`void` `updateBytes(java.lang.String columnLabel, byte[] x)` INTERNAL
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` INTERNAL
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader, int length)` INTERNAL
`void` `updateClob(int columnIndex, java.sql.Clob x)` INTERNAL
`void` `updateClob(java.lang.String columnLabel, java.sql.Clob x)` INTERNAL
`void` `updateDate(int columnIndex, java.sql.Date x)` INTERNAL
`void` `updateDate(java.lang.String columnLabel, java.sql.Date x)` INTERNAL
`void` `updateDouble(int columnIndex, double x)` INTERNAL
`void` `updateDouble(java.lang.String columnLabel, double x)` INTERNAL
`void` `updateFloat(int columnIndex, float x)` INTERNAL
`void` `updateFloat(java.lang.String columnLabel, float x)` INTERNAL
`void` `updateInt(int columnIndex, int x)` INTERNAL
`void` `updateInt(java.lang.String columnLabel, int x)` INTERNAL
`void` `updateLong(int columnIndex, long x)` INTERNAL
`void` `updateLong(java.lang.String columnLabel, long x)` INTERNAL
`void` `updateNull(int columnIndex)` INTERNAL
`void` `updateNull(java.lang.String columnLabel)` INTERNAL
`void` `updateObject(int columnIndex, java.lang.Object x)` INTERNAL
`void` `updateObject(int columnIndex, java.lang.Object x, int scale)` INTERNAL
`void` `updateObject(java.lang.String columnLabel, java.lang.Object x)` INTERNAL
`void` `updateObject(java.lang.String columnLabel, java.lang.Object x, int scale)` INTERNAL
`void` `updateRef(int columnIndex, java.sql.Ref x)` INTERNAL
`void` `updateRef(java.lang.String columnLabel, java.sql.Ref x)` INTERNAL
`void` `updateRow()` INTERNAL
`void` `updateShort(int columnIndex, short x)` INTERNAL
`void` `updateShort(java.lang.String columnLabel, short x)` INTERNAL
`void` `updateString(int columnIndex, java.lang.String x)` INTERNAL
`void` `updateString(java.lang.String columnLabel, java.lang.String x)` INTERNAL
`void` `updateTime(int columnIndex, java.sql.Time x)` INTERNAL
`void` `updateTime(java.lang.String columnLabel, java.sql.Time x)` INTERNAL
`void` `updateTimestamp(int columnIndex, java.sql.Timestamp x)` INTERNAL
`void` `updateTimestamp(java.lang.String columnLabel, java.sql.Timestamp x)` INTERNAL
`boolean` `wasNull()` Returns whether the last column accessed was null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleResultSet

    public SimpleResultSet()

  This constructor is used if the result set is later populated with addRow.

### SimpleResultSet

    public SimpleResultSet(SimpleRowSource source)

  This constructor is used if the result set should retrieve the rows using the specified row source object.

  Parameters:
    `source` - the row source

Method Detail

### addColumn

    public void addColumn(java.lang.String name,
                          int sqlType,
                          int precision,
                          int scale)
                   throws java.sql.SQLException

  Adds a column to the result set.

  Parameters:
    `name` - null is replaced with C1, C2,...
    `sqlType` - the value returned in getColumnType(..) (ignored internally)
    `precision` - the precision
    `scale` - the scale
  Throws:
    `java.sql.SQLException`

### addRow

    public void addRow(java.lang.Object... row)
                throws java.sql.SQLException

  Add a new row to the result set.

  Parameters:
    `row` - the row as an array of objects
  Throws:
    `java.sql.SQLException`

### getConcurrency

    public int getConcurrency()

  Returns ResultSet.CONCUR_READ_ONLY.

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`
  Returns:
    CONCUR_READ_ONLY

### getFetchDirection

    public int getFetchDirection()

  Returns ResultSet.FETCH_FORWARD.

  Specified by:
    `getFetchDirection` in interface `java.sql.ResultSet`
  Returns:
    FETCH_FORWARD

### getFetchSize

    public int getFetchSize()

  Returns 0.

  Specified by:
    `getFetchSize` in interface `java.sql.ResultSet`
  Returns:
    0

### getRow

    public int getRow()

  Returns the row number (1, 2,...) or 0 for no row.

  Specified by:
    `getRow` in interface `java.sql.ResultSet`
  Returns:
    0

### getType

    public int getType()

  Returns ResultSet.TYPE_FORWARD_ONLY.

  Specified by:
    `getType` in interface `java.sql.ResultSet`
  Returns:
    TYPE_FORWARD_ONLY

### close

    public void close()

  Closes the result set and releases the resources.

  Specified by:
    `close` in interface `java.sql.ResultSet`

### next

    public boolean next()
                 throws java.sql.SQLException

  Moves the cursor to the next row of the result set.

  Specified by:
    `next` in interface `java.sql.ResultSet`
  Returns:
    true if successful, false if there are no more rows
  Throws:
    `java.sql.SQLException`

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Moves the current position to before the first row, that means resets the result set.

  Specified by:
    `beforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()

  Returns whether the last column accessed was null.

  Specified by:
    `wasNull` in interface `java.sql.ResultSet`
  Returns:
    true if the last column accessed was null

### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

  Returns the value as a byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

  Returns the value as an double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

  Returns the value as a float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

  Returns the value as an int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

  Returns the value as a long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

  Returns the value as a short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

  Returns the value as a boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

  Returns the value as a byte array.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws java.sql.SQLException

  Returns the value as an Object.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

  Returns the value as a String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(java.lang.String columnLabel)
                 throws java.sql.SQLException

  Returns the value as a byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(java.lang.String columnLabel)
                     throws java.sql.SQLException

  Returns the value as a double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(java.lang.String columnLabel)
                   throws java.sql.SQLException

  Returns the value as a float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### findColumn

    public int findColumn(java.lang.String columnLabel)
                   throws java.sql.SQLException

  Searches for a specific column in the result set. A case-insensitive search is made.

  Specified by:
    `findColumn` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the column index (1,2,...)
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getInt

    public int getInt(java.lang.String columnLabel)
               throws java.sql.SQLException

  Returns the value as an int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(java.lang.String columnLabel)
                 throws java.sql.SQLException

  Returns the value as a long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(java.lang.String columnLabel)
                   throws java.sql.SQLException

  Returns the value as a short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(java.lang.String columnLabel)
                       throws java.sql.SQLException

  Returns the value as a boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(java.lang.String columnLabel)
                    throws java.sql.SQLException

  Returns the value as a byte array.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  Returns the value as a java.math.BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

  Returns the value as an java.sql.Date.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()

  Returns a reference to itself.

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Returns:
    this

### getWarnings

    public java.sql.SQLWarning getWarnings()

  Returns null.

  Specified by:
    `getWarnings` in interface `java.sql.ResultSet`
  Returns:
    null

### getStatement

    public java.sql.Statement getStatement()

  Returns null.

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`
  Returns:
    null

### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

  Returns the value as an java.sql.Time.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

  Returns the value as an java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(int columnIndex)
                            throws java.sql.SQLException

  Returns the value as a java.sql.Array.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String columnLabel)
                               throws java.sql.SQLException

  Returns the value as an Object.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String columnLabel)
                               throws java.sql.SQLException

  Returns the value as a String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnLabel)
                                       throws java.sql.SQLException

  Returns the value as a java.math.BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String columnLabel)
                          throws java.sql.SQLException

  Returns the value as a java.sql.Date.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String columnLabel)
                          throws java.sql.SQLException

  Returns the value as a java.sql.Time.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnLabel)
                                    throws java.sql.SQLException

  Returns the value as a java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(java.lang.String columnLabel)
                            throws java.sql.SQLException

  Returns the value as a java.sql.Array.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException`

### getColumnCount

    public int getColumnCount()

  Returns the column count.

  Specified by:
    `getColumnCount` in interface `java.sql.ResultSetMetaData`
  Returns:
    the column count

### getColumnDisplaySize

    public int getColumnDisplaySize(int columnIndex)

  Returns 15.

  Specified by:
    `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    15

### getColumnType

    public int getColumnType(int columnIndex)
                      throws java.sql.SQLException

  Returns the SQL type.

  Specified by:
    `getColumnType` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the SQL type
  Throws:
    `java.sql.SQLException`

### getPrecision

    public int getPrecision(int columnIndex)
                     throws java.sql.SQLException

  Returns the precision.

  Specified by:
    `getPrecision` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the precision
  Throws:
    `java.sql.SQLException`

### getScale

    public int getScale(int columnIndex)
                 throws java.sql.SQLException

  Returns the scale.

  Specified by:
    `getScale` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the scale
  Throws:
    `java.sql.SQLException`

### isNullable

    public int isNullable(int columnIndex)

  Returns ResultSetMetaData.columnNullableUnknown.

  Specified by:
    `isNullable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    columnNullableUnknown

### isAutoIncrement

    public boolean isAutoIncrement(int columnIndex)

  Returns false.

  Specified by:
    `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    false

### isCaseSensitive

    public boolean isCaseSensitive(int columnIndex)

  Returns true.

  Specified by:
    `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    true

### isCurrency

    public boolean isCurrency(int columnIndex)

  Returns false.

  Specified by:
    `isCurrency` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    false

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int columnIndex)

  Returns false.

  Specified by:
    `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    false

### isReadOnly

    public boolean isReadOnly(int columnIndex)

  Returns true.

  Specified by:
    `isReadOnly` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    true

### isSearchable

    public boolean isSearchable(int columnIndex)

  Returns true.

  Specified by:
    `isSearchable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    true

### isSigned

    public boolean isSigned(int columnIndex)

  Returns true.

  Specified by:
    `isSigned` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    true

### isWritable

    public boolean isWritable(int columnIndex)

  Returns false.

  Specified by:
    `isWritable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    false

### getCatalogName

    public java.lang.String getCatalogName(int columnIndex)

  Returns null.

  Specified by:
    `getCatalogName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    null

### getColumnClassName

    public java.lang.String getColumnClassName(int columnIndex)

  Returns null.

  Specified by:
    `getColumnClassName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    null

### getColumnLabel

    public java.lang.String getColumnLabel(int columnIndex)
                                    throws java.sql.SQLException

  Returns the column label.

  Specified by:
    `getColumnLabel` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the column label
  Throws:
    `java.sql.SQLException`

### getColumnName

    public java.lang.String getColumnName(int columnIndex)
                                   throws java.sql.SQLException

  Returns the column name.

  Specified by:
    `getColumnName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the column name
  Throws:
    `java.sql.SQLException`

### getColumnTypeName

    public java.lang.String getColumnTypeName(int columnIndex)

  Returns null.

  Specified by:
    `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    null

### getSchemaName

    public java.lang.String getSchemaName(int columnIndex)

  Returns null.

  Specified by:
    `getSchemaName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    null

### getTableName

    public java.lang.String getTableName(int columnIndex)

  Returns null.

  Specified by:
    `getTableName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    null

### clearWarnings

    public void clearWarnings()

  INTERNAL

  Specified by:
    `clearWarnings` in interface `java.sql.ResultSet`

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `afterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `cancelRowUpdates` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNull

    public void updateNull(java.lang.String columnLabel)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `moveToCurrentRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  INTERNAL

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `refreshRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### first

    public boolean first()
                  throws java.sql.SQLException

  INTERNAL

  Specified by:
    `first` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `isAfterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `isBeforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `isFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `isLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### last

    public boolean last()
                 throws java.sql.SQLException

  INTERNAL

  Specified by:
    `last` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### previous

    public boolean previous()
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `previous` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  INTERNAL

  Specified by:
    `rowDeleted` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `rowInserted` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  INTERNAL

  Specified by:
    `rowUpdated` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  INTERNAL

  Specified by:
    `setFetchDirection` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `setFetchSize` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `absolute` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### relative

    public boolean relative(int offset)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `relative` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)

  INTERNAL

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`

### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)

  INTERNAL

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)

  Deprecated. INTERNAL

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateByte

    public void updateByte(java.lang.String columnLabel,
                           byte x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDouble

    public void updateDouble(java.lang.String columnLabel,
                             double x)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateFloat

    public void updateFloat(java.lang.String columnLabel,
                            float x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateInt

    public void updateInt(java.lang.String columnLabel,
                          int x)
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateLong

    public void updateLong(java.lang.String columnLabel,
                           long x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateShort

    public void updateShort(java.lang.String columnLabel,
                            short x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBoolean

    public void updateBoolean(java.lang.String columnLabel,
                              boolean x)
                       throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBytes

    public void updateBytes(java.lang.String columnLabel,
                            byte[] x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated. INTERNAL

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnLabel)
                                       throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnLabel)
                                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnLabel)
                                         throws java.sql.SQLException

  Deprecated. INTERNAL

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnLabel)
                                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(java.lang.String columnLabel,
                             java.lang.Object x)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(java.lang.String columnLabel,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateString

    public void updateString(java.lang.String columnLabel,
                             java.lang.String x)
                      throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnLabel,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated. INTERNAL

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnLabel,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String columnLabel)
                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public void updateArray(java.lang.String columnLabel,
                            java.sql.Array x)
                     throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDate

    public void updateDate(java.lang.String columnLabel,
                           java.sql.Date x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(java.lang.String columnLabel,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTime

    public void updateTime(java.lang.String columnLabel,
                           java.sql.Time x)
                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTimestamp

    public void updateTimestamp(java.lang.String columnLabel,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  INTERNAL

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String colName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String columnLabel,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String columnLabel,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnLabel,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  INTERNAL

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getHoldability

    public int getHoldability()

  Returns the current result set holdability.

  Returns:
    the holdability

### isClosed

    public boolean isClosed()

  Returns whether this result set has been closed.

  Returns:
    true if the result set was closed

### getNString

    public java.lang.String getNString(int columnIndex)
                                throws java.sql.SQLException

  INTERNAL

  Throws:
    `java.sql.SQLException`

### getNString

    public java.lang.String getNString(java.lang.String columnLabel)
                                throws java.sql.SQLException

  INTERNAL

  Throws:
    `java.sql.SQLException`